Codeville Wiki
Search:

- Login

- FrontPage
- RecentChanges
- FindPage
- HelpContents
- ServerReference

- Immutable Page
- Show Changes
- Get Info
- More Actions:

# ServerReference

## Running a Server

- cdvserver

### Unix and OS X

#### Config file options

-c <configfile>
-n

  no config file

#### Files and Directories

-f <datadir>

  where all the database files and password file go

-l <logfile>

  server output goes here when daemonized

-p <pidfile>

#### Control options

-b

  start server in backup mode

-d

  don"t daemonize, won"t write pidfile or logfile

-u <user>

  run as the given user, must be root to do this

-r

  rebuild internal data structures on startup

#### General Notes

By default, the server will look for a config file in `/etc/cdvserver.conf`. The distributed version includes the defaults for the various options commented out. Command line options take precedence over the config file.

### Windows

The above options largely apply, except the server does not look for a config file by default, does not daemonize and assumes the data dir is the current directory.

### Config File

The `[control]` section of the config file should be self-explanatory. Key/value pairs in `[post-commit]` allow you to execute scripts in response to checkins. Keys are regular expressions, matched against the repository name. Values are scripts into which some XML describing the checkin will be sent as stdin. The XML is the same as the output of describe with the `-x` option, only there is also a `<repository>` tag in the server generated version.

last edited 2007-09-03 23:32:52 by RossCohen